#!/usr/bin/env python3

import numpy as np

from manager import QueueClient
from task import Task


class Master(QueueClient):
    def run(self, tasks=1000):
        # create some tasks
        for i in range(tasks):
            self.tasks.put(Task(i))
        # Wait for the results
        results = []
        for _ in range(tasks):
            result = self.results.get()
            print(f'got result {result.identifier} of size {result.size} processed in {result.time:.3f}s')
            results.append(result)
        print('Got all {tasks} results !')


if __name__ == '__main__':
    Master().run()
